/*
 * SwingFinderEOCodeMarcheTreeNib.java
 *
 * Created on 21 aout 2008, 10:28
 */

package org.cocktail.application.client.swingfinder.nib;

import org.cocktail.application.palette.JPanelCocktail;

/**
 *
 * @author  mparadot
 */
public class SwingFinderEOCodeMarcheTreeNib extends JPanelCocktail {
    
    /** Creates new form SwingFinderEOCodeMarcheTreeNib */
    public SwingFinderEOCodeMarcheTreeNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jToolBar1 = new javax.swing.JToolBar();
        jbtcTable = new org.cocktail.application.palette.JButtonCocktail();
        jSeparator1 = new javax.swing.JToolBar.Separator();
        jbtcTreeview = new org.cocktail.application.palette.JButtonCocktail();
        treeView = new javax.swing.JPanel();
        scrollPane = new javax.swing.JScrollPane();
        jtreeView = new org.cocktail.application.palette.JTreeCocktail();
        btAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        btValider = new org.cocktail.application.palette.JButtonCocktail();

        jPanel1.setLayout(new java.awt.BorderLayout());

        jToolBar1.setFloatable(false);
        jToolBar1.setRollover(true);

        jbtcTable.setText("table");
        jbtcTable.setFocusable(false);
        jbtcTable.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jbtcTable.setMaximumSize(new java.awt.Dimension(22, 22));
        jbtcTable.setMinimumSize(new java.awt.Dimension(22, 22));
        jbtcTable.setPreferredSize(new java.awt.Dimension(22, 22));
        jbtcTable.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(jbtcTable);
        jToolBar1.add(jSeparator1);

        jbtcTreeview.setText("treeview");
        jbtcTreeview.setFocusable(false);
        jbtcTreeview.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jbtcTreeview.setMaximumSize(new java.awt.Dimension(22, 22));
        jbtcTreeview.setMinimumSize(new java.awt.Dimension(22, 22));
        jbtcTreeview.setPreferredSize(new java.awt.Dimension(22, 22));
        jbtcTreeview.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(jbtcTreeview);

        jPanel1.add(jToolBar1, java.awt.BorderLayout.CENTER);

        scrollPane.setViewportView(jtreeView);

        btAnnuler.setText("Annuler");

        btValider.setText("Selectionner");

        org.jdesktop.layout.GroupLayout treeViewLayout = new org.jdesktop.layout.GroupLayout(treeView);
        treeView.setLayout(treeViewLayout);
        treeViewLayout.setHorizontalGroup(
            treeViewLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(treeViewLayout.createSequentialGroup()
                .add(btAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 433, Short.MAX_VALUE)
                .add(btValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
            .add(scrollPane, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 615, Short.MAX_VALUE)
        );
        treeViewLayout.setVerticalGroup(
            treeViewLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, treeViewLayout.createSequentialGroup()
                .add(scrollPane, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 442, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(treeViewLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 659, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .add(24, 24, 24)
                .add(treeView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(treeView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.cocktail.application.palette.JButtonCocktail btAnnuler;
    private org.cocktail.application.palette.JButtonCocktail btValider;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JToolBar.Separator jSeparator1;
    private javax.swing.JToolBar jToolBar1;
    private org.cocktail.application.palette.JButtonCocktail jbtcTable;
    private org.cocktail.application.palette.JButtonCocktail jbtcTreeview;
    private org.cocktail.application.palette.JTreeCocktail jtreeView;
    private javax.swing.JScrollPane scrollPane;
    private javax.swing.JPanel treeView;
    // End of variables declaration//GEN-END:variables

    public org.cocktail.application.palette.JButtonCocktail getBtAnnuler() {
        return btAnnuler;
    }

    public org.cocktail.application.palette.JButtonCocktail getBtValider() {
        return btValider;
    }

    public org.cocktail.application.palette.JButtonCocktail getJbtcTable() {
        return jbtcTable;
    }

    public org.cocktail.application.palette.JButtonCocktail getJbtcTreeview() {
        return jbtcTreeview;
    }

    public org.cocktail.application.palette.JTreeCocktail getTreeView() {
        return jtreeView;
    }
    
}
